
=encoding utf8

=head1 NAME

Sidef::Types::Bool::Bool

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Bool(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 &

    a & b

Returns the

=cut

=head2 ^

    a ^ b

Returns the

=cut

=head2 |

    a | b

Returns the

=cut

=head2 false

    Bool.false()

Returns the

=cut

=head2 is_true

    Bool.is_true()

Returns the

=cut

=head2 neg

    Bool.neg()

Returns the

Aliases: I<not>, I<flip>, I<toggle>, I<is_false>

=cut

=head2 new

    Bool.new()

Returns the

Aliases: I<call>

=cut

=head2 pick

    Bool.pick()

Returns the

Aliases: I<rand>

=cut

=head2 to_b

    Bool.to_b()

Returns the

Aliases: I<to_bool>

=cut

=head2 to_s

    Bool.to_s()

Returns the

Aliases: I<dump>, I<to_str>

=cut

=head2 true

    Bool.true()

Returns the

=cut
